Package org.eclipse.mat.ui.internal.views

# Class NavigatorViewPage

java.lang.Object
org.eclipse.ui.part.Page
org.eclipse.mat.ui.internal.views.NavigatorViewPage

All Implemented Interfaces:
  `IDoubleClickListener`, `ISelectionProvider`, `NavigatorState.IStateChangeListener`, `IPage`, `IPageBookViewPage`

public class NavigatorViewPage extends Page implements ISelectionProvider, IDoubleClickListener, NavigatorState.IStateChangeListener

## Constructor Summary

Constructors
Constructor
Description
`NavigatorViewPage(MultiPaneEditor editor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`createControl(Composite parent)`
`void`
`dispose()`
`void`
`doubleClick(DoubleClickEvent event)`
`Control`
`getControl()`
`ISelection`
`getSelection()`
`void`
`init(IPageSite pageSite)`
`void`
`onStateChanged(PaneState state)`
`void`
`removeSelectionChangedListener(ISelectionChangedListener listener)`
`void`
`setFocus()`
`void`
`setSelection(ISelection selection)`
`void`
`update()`

### Methods inherited from class org.eclipse.ui.part.Page

`getSite, makeContributions, setActionBars`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavigatorViewPage

public NavigatorViewPage(MultiPaneEditor editor)

## Method Details

### createControl

public void createControl(Composite parent)

Specified by:
  `createControl` in interface `IPage`
Specified by:
  `createControl` in class `Page`

### getControl

public Control getControl()

Specified by:
  `getControl` in interface `IPage`
Specified by:
  `getControl` in class `Page`

### setFocus

public void setFocus()

Specified by:
  `setFocus` in interface `IPage`
Specified by:
  `setFocus` in class `Page`

### update

public void update()

### doubleClick

public void doubleClick(DoubleClickEvent event)

Specified by:
  `doubleClick` in interface `IDoubleClickListener`

### init

public void init(IPageSite pageSite)

Specified by:
  `init` in interface `IPageBookViewPage`
Overrides:
  `init` in class `Page`

### onStateChanged

public void onStateChanged(PaneState state)

Specified by:
  `onStateChanged` in interface `NavigatorState.IStateChangeListener`

### addSelectionChangedListener

public void addSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `addSelectionChangedListener` in interface `ISelectionProvider`

### getSelection

public ISelection getSelection()

Specified by:
  `getSelection` in interface `ISelectionProvider`

### removeSelectionChangedListener

public void removeSelectionChangedListener(ISelectionChangedListener listener)

Specified by:
  `removeSelectionChangedListener` in interface `ISelectionProvider`

### setSelection

public void setSelection(ISelection selection)

Specified by:
  `setSelection` in interface `ISelectionProvider`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `IPage`
Overrides:
  `dispose` in class `Page`